# PhotoSize - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.files / PhotoSize

# PhotoSize

(common) `data class PhotoSize : SizedMediaFile` (source)

### Constructors

(common)

#### <init>

`PhotoSize(fileId: FileId, fileUniqueId: FileUniqueId, fileSize: Long? = null, width: Int, height: Int)`

### Properties

(common)

#### fileId

`val fileId: FileId`

(common)

#### fileSize

`val fileSize: Long?`

(common)

#### fileUniqueId

`val fileUniqueId: FileUniqueId`

(common)

#### height

`val height: Int`

(common)

#### resolution

`val resolution: Long`

(common)

#### width

`val width: Int`

### Extension Functions

(common)

#### toInputMediaPhoto

`fun PhotoSize.toInputMediaPhoto(caption: String? = null, parseMode: ParseMode? = null): InputMediaPhoto`